Get Contacts

Note: This API endpoint is deprecated. Please use the Search Contacts endpoint instead.

http
GET https://services.leadconnectorhq.com/contacts/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
startAfterIdstringNoUIaE1WjAwWKdlyD7osQIStart After Id
startAfternumberNo1603870249758Start Afte
querystringNoJohnContact Query
limitnumberNo20Limit Per Page records count. will allow maximum up to 100 and default will be 20

Responses

200 - Successful response
  • contacts (object[])

    • id (string): Example: ocQHyuzHvysMo5N5VsXc

    • locationId (string): Example: C2QujeCh8ZnC7al2InWR

    • email (string): Example: JohnDeo@gmail.com

    • timezone (string): Example: Asia/Calcutta

    • country (string): Example: DE

    • source (string): Example: xyz form

    • dateAdded (string): Example: 2020-10-29T09:31:30.255Z

    • customFields (object[])

      • id (string): Example: MgobCB14YMVKuE4Ka8p1

      • value (string): Example: name

    • tags (string[])

    • businessId (string): Example: 641c094001436dbc2081e642

    • attributions (object[])

      • url (string, required): Example: Trigger Link

      • campaign (string)

      • utmSource (string)

      • utmMedium (string)

      • utmContent (string)

      • referrer (string): Example: https: //www.google.com

      • campaignId (string)

      • fbclid (string)

      • gclid (string): Example: CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB

      • msclikid (string)

      • dclid (string)

      • fbc (string)

      • fbp (string): Example: fb. 1.1674748390986.1171287961

      • fbEventId (string): Example: Mozilla/5.0

      • userAgent (string): Example: Mozilla/5.0

      • ip (string): Example: 58.111.106.198

      • medium (string): Example: survey

      • mediumId (string): Example: FglfHAn30PRwsZVyQlKp

    • followers (string[]): Example: 641c094001436dbc2081e642

  • count (number): Example: 10

json
{
  "contacts": [
    {
      "id": "ocQHyuzHvysMo5N5VsXc",
      "locationId": "C2QujeCh8ZnC7al2InWR",
      "email": "JohnDeo@gmail.com",
      "timezone": "Asia/Calcutta",
      "country": "DE",
      "source": "xyz form",
      "dateAdded": "2020-10-29T09:31:30.255Z",
      "customFields": [
        {}
      ],
      "tags": [
        "nisi sint commodo amet",
        "consequat"
      ],
      "businessId": "641c094001436dbc2081e642",
      "attributions": [
        {}
      ],
      "followers": "641c094001436dbc2081e642"
    }
  ],
  "count": 10
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/contacts/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?